aboutsummaryrefslogtreecommitdiffstats
path: root/util
diff options
context:
space:
mode:
Diffstat (limited to 'util')
-rwxr-xr-xutil/linux_install.sh22
-rwxr-xr-xutil/travis_build.sh7
-rwxr-xr-xutil/travis_compiled_push.sh25
-rw-r--r--util/travis_test.sh7
4 files changed, 59 insertions, 2 deletions
diff --git a/util/linux_install.sh b/util/linux_install.sh
index df7039e09..3df7c0b2a 100755
--- a/util/linux_install.sh
+++ b/util/linux_install.sh
@@ -6,6 +6,8 @@ GENTOO_WARNING="This script will make a USE change in order to ensure that that
SLACKWARE_WARNING="You will need the following packages from slackbuilds.org:\n\tarm-binutils\n\tarm-gcc\n\tavr-binutils\n\tavr-gcc\n\tavr-libc\n\tavrdude\n\tdfu-programmer\n\tdfu-util\n\tnewlib\nThese packages will be installed with sudo and sboinstall, so ensure that your user is added to sudoers and that sboinstall is configured."
+SOLUS_INFO="Your tools are now installed. To start using them, open new terminal or source these scripts:\n\t/usr/share/defaults/etc/profile.d/50-arm-toolchain-path.sh\n\t/usr/share/defaults/etc/profile.d/50-avr-toolchain-path.sh"
+
if grep ID /etc/os-release | grep -qE "fedora"; then
sudo dnf install \
arm-none-eabi-binutils-cs \
@@ -155,6 +157,26 @@ elif grep ID /etc/os-release | grep -q slackware; then
echo "Quitting..."
fi
+elif grep ID /etc/os-release | grep -q solus; then
+ sudo eopkg ur
+ sudo eopkg it \
+ -c system.devel \
+ arm-none-eabi-gcc \
+ arm-none-eabi-binutils \
+ arm-none-eabi-newlib \
+ avr-libc \
+ avr-binutils \
+ avr-gcc \
+ avrdude \
+ dfu-util \
+ dfu-programmer \
+ python3 \
+ git \
+ wget \
+ zip \
+ unzip
+ printf "\n$SOLUS_INFO\n"
+
else
echo "Sorry, we don't recognize your OS. Help us by contributing support!"
echo
diff --git a/util/travis_build.sh b/util/travis_build.sh
index 2c6c62931..554ec8b68 100755
--- a/util/travis_build.sh
+++ b/util/travis_build.sh
@@ -1,5 +1,12 @@
#!/bin/bash
+# if docker is installed - call make within the qmk docker image
+if command -v docker >/dev/null; then
+ function make() {
+ docker run --rm -e MAKEFLAGS="$MAKEFLAGS" -w /qmk_firmware/ -v "$PWD":/qmk_firmware --user $(id -u):$(id -g) qmkfm/qmk_firmware make "$@"
+ }
+fi
+
# test force push
#TRAVIS_COMMIT_RANGE="c287f1bfc5c8...81f62atc4c1d"
diff --git a/util/travis_compiled_push.sh b/util/travis_compiled_push.sh
index d76030f83..25ed83fb0 100755
--- a/util/travis_compiled_push.sh
+++ b/util/travis_compiled_push.sh
@@ -55,8 +55,29 @@ if [[ "$TRAVIS_COMMIT_MESSAGE" != *"[skip build]"* ]] ; then
# rm -f compiled/*.hex
# ignore errors here
- # In theory, this is more flexible, and will allow for additional expansion of additional types of files and other names
- mv ../qmk_firmware/*_default.*[hb][ei][xn] ./compiled/ || true
+ # In theory, this is more flexible, and will allow for additional expansion of additional types of files and other names
+ mv ../qmk_firmware/*_default.*{hex,bin} ./compiled/ || true
+
+ # get the list of keyboards
+ readarray -t keyboards < .keyboards
+
+ # replace / with _
+ keyboards=("${keyboards[@]//[\/]/_}")
+
+ # remove all binaries that don't belong to a keyboard in .keyboards
+ for file in "./compiled"/* ; do
+ match=0
+ for keyboard in "${keyboards[@]}" ; do
+ if [[ ${file##*/} = "${keyboard}_default.bin" ]] || [[ ${file##*/} = "${keyboard}_default.hex" ]]; then
+ match=1
+ break
+ fi
+ done
+ if [[ $match = 0 ]]; then
+ echo "Removing deprecated binary: $file"
+ rm "$file"
+ fi
+ done
bash _util/generate_keyboard_page.sh
git add -A
diff --git a/util/travis_test.sh b/util/travis_test.sh
index 6c48f898c..3be4afff7 100644
--- a/util/travis_test.sh
+++ b/util/travis_test.sh
@@ -19,4 +19,11 @@ if [ "$BRANCH" != "master" ] && [ "$NUM_IMPACTING_CHANGES" == "0" ]; then
exit 0
fi
+# if docker is installed - call make within the qmk docker image
+if command -v docker >/dev/null; then
+ function make() {
+ docker run --rm -e MAKEFLAGS="$MAKEFLAGS" -w /qmk_firmware/ -v "$PWD":/qmk_firmware --user $(id -u):$(id -g) qmkfm/qmk_firmware make "$@"
+ }
+fi
+
make test:all